> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vibetoken.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Vidu Q2

> Vidu Q2 — 540p/720p/1080p 分辨率下 1–10 秒视频，按秒计费，可选音频。

|           |                                                                                          |
| --------- | ---------------------------------------------------------------------------------------- |
| **模型 ID** | `vidu/q2-t2v`, `vidu/q2-pro-i2v`, `vidu/q2-turbo-i2v`, `vidu/q2-r2v`, `vidu/q2-pro-fast` |
| **系列**    | `vidu-q2`, `vidu-q2-pro`, `vidu-q2-turbo`, `vidu-q2-pro-fast`                            |
| **任务**    | `text-to-video`, `image-to-video`, `reference-to-video`                                  |
| **分辨率**   | 540p, 720p, 1080p（pro-fast：720p / 1080p）                                                 |
| **时长**    | 1–10 秒（默认 5）                                                                             |
| **上游**    | Vidu Q2                                                                                  |

## Endpoint

```http theme={null}
POST https://vibetoken.cn/v1/videos/generations
```

异步 — 返回 `{id, status: "pending"}`；轮询
`GET /v1/videos/generations/{id}` 直到 `success` 或 `failed`。

## Pricing

Q2 **按首秒价格计费，其后按更低的每秒费率**计费，并因分辨率而异。
下列数值为 VibeToken 收费价（Vidu 刊例价 − 15%）。
在 `i2v` / `r2v` / `pro-fast` 上启用 `audio` 会额外增加 \*\*$0.064**（刊例价 +$0.075）。

| Model          | 540p               | 720p               | 1080p             |
| -------------- | ------------------ | ------------------ | ----------------- |
| `q2-t2v`       | $0.043 + $0.009/s  | $0.064 + $0.021/s  | $0.085 + $0.043/s |
| `q2-pro-i2v`   | $0.034 + $0.021/s¹ | $0.064 + $0.043/s  | $0.234 + $0.064/s |
| `q2-turbo-i2v` | $0.026 + $0.009/s  | $0.034 + $0.043/s¹ | $0.149 + $0.043/s |
| `q2-r2v`       | $0.064 + $0.021/s  | $0.106 + $0.021/s  | $0.319 + $0.043/s |
| `q2-pro-fast`  | —                  | $0.034 + $0.009/s  | $0.068 + $0.017/s |

<Note>
  ¹ `pro-i2v` @540p 和 `turbo-i2v` @720p 带有 Vidu 真实的第二秒
  阶梯价（在扁平每秒费率生效之前，第 2 秒收费 \$0.043）。任意时长的
  精确费用都已在定价表中按秒预先计算，因此运行按钮上的预估值始终精确。
</Note>

## Parameters

<ParamField body="prompt" type="string" required>
  文本提示词。在 `r2v` / `pro-fast` 上，使用 `@1`、`@2` … 来引用
  `subjects`。最多 2000 个字符。
</ParamField>

<ParamField body="image_urls" type="string[]">
  `i2v` — 恰好 1 张源图像。`r2v` / `pro-fast` — 1–7 张参考图像；
  每张会成为一个命名为 `1`、`2`、… 的 subject，因此提示词可以用
  `@1`、`@2` 来引用它们。公开的 HTTPS URL 或内联的 base64 `data:` URI。
</ParamField>

<ParamField body="subjects" type="array">
  仅 `r2v` / `pro-fast` — 高级选项，可选。参考 subject，每个为
  `{name, images: [url…] (max 3), voice_id?}`；提示词以
  `@{name}` 引用某个 subject。优先使用上面的 `image_urls` — 仅当你
  需要同一个 subject 的多张图像或需要 `voice_id` 时，才直接提供 `subjects`。
  给定时，它优先于 `image_urls`。
</ParamField>

<ParamField body="duration" type="integer" default="5">
  片段长度（秒）。范围 `[1, 10]`。影响计费。
</ParamField>

<ParamField body="resolution" type="enum" default="&#x22;720p&#x22;">
  取 `540p`、`720p`、`1080p` 之一（`pro-fast`：`720p`、`1080p`）。
</ParamField>

<ParamField body="audio" type="boolean" default="false">
  `i2v` / `r2v` / `pro-fast` — 生成匹配的音轨
  （+\$0.064）。
</ParamField>

<ParamField body="aspect_ratio" type="enum" default="&#x22;16:9&#x22;">
  `t2v` / `r2v` / `pro-fast`。取 `16:9`、`9:16`、`1:1` 之一。
</ParamField>

<ParamField body="movement_amplitude" type="enum" default="&#x22;auto&#x22;">
  取 `auto`、`small`、`medium`、`high` 之一。
</ParamField>

<ParamField body="bgm" type="boolean" default="false">
  添加自动生成的背景音乐。
</ParamField>

<ParamField body="voice_id" type="string">
  `i2v` — 音轨可选的语音预设 id。
</ParamField>

<ParamField body="watermark" type="boolean" default="false">
  在输出上叠加上游水印。
</ParamField>

<ParamField body="seed" type="integer">
  随机生成器初始化种子。范围 `[0, 2147483647]`。
</ParamField>

## Example

```bash theme={null}
curl https://vibetoken.cn/v1/videos/generations \
  -H "Authorization: Bearer $VIBETOKEN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "vidu/q2-pro-i2v",
    "image_urls": ["https://example.com/scene.jpg"],
    "prompt": "camera pans across the valley",
    "duration": 5,
    "resolution": "720p",
    "audio": true
  }'
```

## Reference
